package com.storlead.sales.service.target;

import com.storlead.framework.common.result.Result;
import com.storlead.sales.pojo.dto.target.TargetPlanAddDTO;
import com.storlead.sales.pojo.dto.target.TargetPlanScopeSettingDTO;
import com.storlead.sales.pojo.dto.target.TargetPlanSearchDTO;
import com.storlead.sales.pojo.dto.target.TargetRankingDTO;
import com.storlead.sales.pojo.entity.target.TargetPlanEntity;
import com.storlead.framework.mybatis.service.MyBaseService;

import java.util.List;

/**
 * <p>
 * 目标方案主表 服务类
 * </p>
 *
 * @author YPZ
 * @since 2024-12-11
 */
public interface TargetPlanService extends MyBaseService<TargetPlanEntity> {

    Result<?> addPlan(TargetPlanAddDTO targetPlanAddDTO);
    Result<?> editPlan(TargetPlanAddDTO targetPlanAddDTO);

    Result<?> addScopeSetting(TargetPlanScopeSettingDTO targetPlanScopeSettingDTO);
    List<Long> getTargetPlanId(TargetRankingDTO targetRankingDTO);

    Result<?> selectListVO(TargetPlanSearchDTO targetPlanSearchDTO);

    Result<?> getTargetPlanVOById(Long id);
}
